Bug 497020 - (CVE-2009-1192) CVE-2009-1192 kernel: agp: zero pages before sending to userspace
CVE-2009-1192 kernel: agp: zero pages before sending to userspace
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
reported=20090422,public=20090420,sou...
: Security
Depends On: 497022 497023 497024 497025 497026
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 23:26 EDT by Eugene Teo (Security Response)
Modified: 2016-04-22 09:24 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-22 09:24:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Upstream patch (1.33 KB, patch)
2009-04-21 23:35 EDT, Eugene Teo (Security Response)
no flags Details | Diff

  None (edit)
Description Eugene Teo (Security Response) 2009-04-21 23:26:41 EDT
Description of problem:
AGP pages might be mapped into userspace finally, so the pages should be set to zero before userspace can use it. Otherwise there is potential information leakage.

Upstream patch:
http://git.kernel.org/linus/59de2bebabc5027f93df999d59cc65df591c3e6e
Comment 2 Eugene Teo (Security Response) 2009-04-21 23:35:26 EDT
Created attachment 340668 [details]
Upstream patch
Comment 4 John Kacur 2009-06-03 10:19:23 EDT
This fix for this was added to 2.6.29.3 and MRG-1.2 is based on 2.6.29.4 so this should not be an issue for MRG-1.2
Comment 5 errata-xmlrpc 2009-06-03 11:37:05 EDT
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2009:1081 https://rhn.redhat.com/errata/RHSA-2009-1081.html
Comment 6 errata-xmlrpc 2009-06-16 18:34:33 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1106 https://rhn.redhat.com/errata/RHSA-2009-1106.html
Comment 7 errata-xmlrpc 2009-06-30 04:06:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1132 https://rhn.redhat.com/errata/RHSA-2009-1132.html

Note You need to log in before you can comment on or make changes to this bug.